create sequence lowcode_base_graphs_sequence
 increment by 1
 start with 1
 nomaxvalue
 nominvalue
 cache 20;

CREATE TABLE lowcode_base_graphs (
    id NUMBER(20)  NOT NULL,
    project_id NUMBER(20)  NOT NULL,
    biz_id NUMBER(20)  NOT NULL,
    biz_type NUMBER(4)  NOT NULL,
    source_id NUMBER(20)  NOT NULL,
    target_id NUMBER(20)  NOT NULL,
    direction NUMBER(4)  NOT NULL,
    valid NUMBER(4)  NOT NULL,
    gmt_create DATE DEFAULT SYSDATE NOT NULL,
    gmt_modified DATE DEFAULT SYSDATE NOT NULL,
    create_user NUMBER(20)  NOT NULL,
    modified_user NUMBER(20)  NOT NULL,
    constraint TF_LOWCODE_BASE_GRAPHS_PK primary key(id),
    constraint LOWCODE_BASE_GRAPHS_UNIQUE unique(project_id,biz_id,biz_type,source_id,target_id,valid)
);

create or replace trigger graphs_auto_add_trigger
	before insert on lowcode_base_graphs for each row
	begin
		select  lowcode_base_graphs_sequence.nextval into:new.id from dual
	end